de.katho.kBorrow.models

## Class ArticleInspectTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - de.katho.kBorrow.models.ArticleInspectTableModel

All Implemented Interfaces:
  KGuiModel, java.io.Serializable, javax.swing.table.TableModel

    public class ArticleInspectTableModel
    extends javax.swing.table.AbstractTableModel
    implements KGuiModel

Enthält die für die ArticleInspectTable nötigen Daten.

See Also:
  Serialized Form

### Field Summary

Fields
`private int` `articleId` ID des Artikels, für den alle Ausleihen in der Tabelle angezeigt werden sollen.
`private java.util.ArrayList<KLending>` `data` Daten der Tabelle: Alle Ausleihen für einen Artikel.
`private java.lang.String[]` `header` Enthält die Überschriften der Tabellenspalten
`private KLenderModel` `lenderModel` Referenz auf das benötigte LenderModel.
`private static long` `serialVersionUID` Serial Version UID
`private KUserModel` `userModel` Referenz auf das benötigte UserModel.

### Fields inherited from class javax.swing.table.AbstractTableModel

`listenerList`

### Constructor Summary

Constructors
Constructor and Description
`ArticleInspectTableModel(int pId, java.util.HashMap<java.lang.String,KDataModel> models)` Erzeugt das ArticleInspectTableModel.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fetchData(KDataModel pModel)` Holt die benötigten Daten aus dem als Parameter übergebenen KDataModel.
`int` `getColumnCount()` Gibt Anzahl der Tabellenspalten zurück.
`java.lang.String` `getColumnName(int col)` Gibt Namen der per Parameter angegebenen Tabellenspalte zurück.
`int` `getRowCount()` Gibt Anzahl der Tabellenzeilen zurück.
`java.lang.Object` `getValueAt(int row, int col)` Gibt den Wert der per Parameter angegebenen Tabellenzelle zurück.
`boolean` `isCellEditable(int pRow, int pCol)` Gibt zurück, ob eine Tabellenzelle editierbar ist.

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener, setValueAt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serial Version UID

See Also:
  Constant Field Values

#### header

    private java.lang.String[] header

Enthält die Überschriften der Tabellenspalten

#### articleId

    private int articleId

ID des Artikels, für den alle Ausleihen in der Tabelle angezeigt werden sollen.

#### data

    private java.util.ArrayList<KLending> data

Daten der Tabelle: Alle Ausleihen für einen Artikel.

#### userModel

    private KUserModel userModel

Referenz auf das benötigte UserModel.

#### lenderModel

    private KLenderModel lenderModel

Referenz auf das benötigte LenderModel.

### Constructor Detail

#### ArticleInspectTableModel

    public ArticleInspectTableModel(int pId,
                                    java.util.HashMap<java.lang.String,KDataModel> models)

Erzeugt das ArticleInspectTableModel.

Parameters:
  `pId` - ID des Artikel, dessen Ausleihen angezeigt werden sollen.
  `models` - HashMap mit Referenzen auf alle KDataModels.

### Method Detail

#### getColumnCount

    public int getColumnCount()

Gibt Anzahl der Tabellenspalten zurück.

Specified by:
  `getColumnCount` in interface `javax.swing.table.TableModel`
Returns:
  Anzahl der Tabellenspalten.

#### getColumnName

    public java.lang.String getColumnName(int col)

Gibt Namen der per Parameter angegebenen Tabellenspalte zurück.

Specified by:
  `getColumnName` in interface `javax.swing.table.TableModel`
Overrides:
  `getColumnName` in class `javax.swing.table.AbstractTableModel`
Parameters:
  `col` - Spaltennummer, deren Name zurückgegeben werden soll.
Returns:
  Spaltenname als String.

#### getRowCount

    public int getRowCount()

Gibt Anzahl der Tabellenzeilen zurück.

Specified by:
  `getRowCount` in interface `javax.swing.table.TableModel`
Returns:
  Anzahl der Tabellenzeilen als Int.

#### isCellEditable

    public boolean isCellEditable(int pRow,
                                  int pCol)

Gibt zurück, ob eine Tabellenzelle editierbar ist.

Alle Tabellenzellen sind NICHT editierbar!

Specified by:
  `isCellEditable` in interface `javax.swing.table.TableModel`
Overrides:
  `isCellEditable` in class `javax.swing.table.AbstractTableModel`
Parameters:
  `pRow` - Zeile der angefragten Zelle.
  `pCol` - Spalte der angefragten Zelle.
Returns:
  Editierbarkeit einer Tabellenzelle (Immer false!)

#### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

Gibt den Wert der per Parameter angegebenen Tabellenzelle zurück.

Specified by:
  `getValueAt` in interface `javax.swing.table.TableModel`
Parameters:
  `row` - Zeile der angefragten Tabellenzelle.
  `col` - Spalte der angefragten Tabellenzelle.
Returns:
  Inhalt der angefragten Tabellenzelle.

#### fetchData

    public void fetchData(KDataModel pModel)

Holt die benötigten Daten aus dem als Parameter übergebenen KDataModel.

Specified by:
  `fetchData` in interface `KGuiModel`
Parameters:
  `pModel` - KDataModel, von dem die Daten geholt werden sollen.